osg::Observer Class Reference

`#include <Observer>`

Inheritance diagram for osg::Observer:

## Public Member Functions

| Observer ()
virtual | ~Observer ()
virtual void | objectDeleted (void *)

## Detailed Description

Observer base class for tracking when objects are unreferenced (their reference count goes to 0) and are being deleted.

## Constructor & Destructor Documentation

## Observer()

osg::Observer::Observer | ( |  | ) |

## ~Observer()

virtual osg::Observer::~Observer | ( |  | ) |

virtual

## Member Function Documentation

## objectDeleted()

virtual void osg::Observer::objectDeleted | ( | void * |  | ) |

inline virtual

objectDeleted is called when the observed object is about to be deleted. The observer will be automatically removed from the observed object's observer set so there is no need for the objectDeleted implementation to call removeObserver() on the observed object.

Reimplemented in osg::Identifier.

The documentation for this class was generated from the following file:

- Observer